> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a call

> This operation allows you create a call



## OpenAPI

````yaml https://api.cozmox.cloud/api-json post /v1/outbound/create-call
openapi: 3.0.0
info:
  title: Cozmox Cloud API
  description: API for Cozmox Cloud
  version: '1.0'
  contact: {}
servers:
  - url: https://api.cozmox.cloud
security:
  - x-api-key: []
tags:
  - name: cozmox
    description: ''
paths:
  /v1/outbound/create-call:
    post:
      tags:
        - Outbound
      summary: Create a call
      description: This operation allows you create a call
      operationId: OutboundController_createCall_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCallRequestDTO'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCallResponseDTO'
        '400':
          description: Bad Request.
        '500':
          description: Something went wrong.
      security:
        - x-api-key: []
components:
  schemas:
    CreateCallRequestDTO:
      type: object
      properties:
        toPhone:
          type: string
          description: The phone number to call
          example: '+1234567890'
        fromPhone:
          type: string
          description: From phone number
          example: '+1234567890'
        agentId:
          type: string
          description: Agent ID which will communicate with user
          example: cx_xxxxxx
        extras:
          type: object
          description: Extra parameters needed for agent on call
          example:
            Name: Liza
            current_datetime: '2025-01-01 10:10:10'
          additionalProperties:
            type: string
      required:
        - toPhone
        - fromPhone
        - agentId
        - extras
    CreateCallResponseDTO:
      type: object
      properties:
        callId:
          type: string
          description: The call id
          example: '1234567890'
      required:
        - callId
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: The API key

````